.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;

    &__header {
        z-index: 1200;
        position: relative;
    }

    &__main {
        flex-grow: 1;
        padding: 40px 0;
    }

    @include media-breakpoint-up(lg) {

        &__main {
            padding: 50px 0;
        }
    }
}

.heading {
    font-weight: 500;
    line-height: 80.19%;
    font-size: size-rel(54px);
    margin-bottom: 49px;
    font-family: $font-family-secondary;

    @include media-breakpoint-up(lg) {
        font-size: size-rel(70px);
        margin-bottom: 80px;
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(90px);
    }

    @include media-breakpoint-up(xxl) {
        font-size: size-rel(140px);

        &--sm {
            margin-bottom: 100px;
            font-size: size-rel(90px);
        }
    }
}

.swiper-pagination {
    padding-top: 20px;
    bottom: auto;
    left: auto;
    right: auto;
    font-size: 0;
    line-height: 0;
    cursor: pointer;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    padding: 0;
    margin: 0 6px;
    border-radius: 50%;
    display: inline-block;
    border: 1px solid $white;
}

.swiper-pagination-bullet-active {
    background: $white;
}

.primary {
    padding-top: 30px;
    padding-bottom: 50px;

    &__wrap {

    }

    &__header {
        font-weight: 500;
        font-size: size-rel(58px);
        line-height: size-rel(58px);
        font-family: $font-family-secondary;
        margin-bottom: 25px;
    }

    &__text {
        margin-bottom: 35px;

        strong {
            font-weight: 600;
        }
    }

    &__group {

        &:not(:last-child) {
            margin-bottom: 50px;
        }
    }

    &__title {
        font-weight: 400;
        font-size: size-rel(28px);
        line-height: size-rel(33px);
        font-family: $font-family-secondary;
        margin-bottom: 15px;
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            display: flex;
            align-items: center;

            &:not(:last-child) {
                margin-bottom: 22px;
            }
        }

        &--icon {
            font-size: 0;
            line-height: 0;
            height: 40px;
            display: inline-block;
            flex-shrink: 0;


            svg {
                fill: $black;
            }
        }

        &--text {
            padding: 0 0 0 13px;
        }
    }

    &__media {
        display: none;
    }

    @include media-breakpoint-up(lg) {
        padding-top: 44px;
        padding-bottom: 70px;

        &__wrap {
            display: flex;
        }

        &__media {
            width: 420px;
            display: block;
            flex-shrink: 0;

            &--image {
                margin-right: -100px;
            }
        }

        &__header {
            margin-bottom: 35px;
            font-size: size-rel(70px);
            line-height: size-rel(70px);
        }

        &__text {
            margin-bottom: 45px;
        }

        &__group {

            &:not(:last-child) {
                margin-bottom: 85px;
            }
        }

        &__title {
            margin-bottom: 36px;
            font-size: size-rel(40px);
            line-height: 118.69%;
        }

        &__list {

            &--text {
                padding-top: 0;
                padding-left: 30px;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-bottom: 85px;

        &__header {
            margin-bottom: 35px;
            font-size: size-rel(86px);
            line-height: size-rel(86px);
        }

        &__media {
            width: 600px;

            &--image {
                margin-right: -198px;
            }
        }

    }

    @include media-breakpoint-up(xxl) {

        &__header {
            margin-bottom: 45px;
            font-size: size-rel(140px);
            line-height: size-rel(140px);
        }

        &__title {
            font-size: size-rel(45px);
            line-height: 118.69%;
        }

        &__media {
            width: 620px;

            &--image {
                margin-left: -50px;
                margin-right: -128px;
            }
        }
    }
}

.about {
    color: $white;
    overflow: hidden;
    position: relative;

    &:after,
    &:before {
        z-index: 5;
        content: '';
        width: 1980px;
        height: 70%;
        position: absolute;
        background-image: url("../images/about__bg.svg");
        background-repeat: no-repeat;
    }

    &:after {
        top: 0;
        left: calc(50% - 900px);
        background-position: 50% 0;
        background-size: 1200px auto;
    }

    &:before {
        bottom: 0;
        left: calc(50% - 920px);
        background-position: 50% 100%;
        background-size: 1980px auto;
    }

    .container {
        z-index: 20;
        position: relative;
    }

    &__wrap {
        z-index: 20;
        position: relative;
        padding-top: 100px;
        padding-bottom: 100px;
    }

    &__primary {
        margin-bottom: 110px;
        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas: "one"
                       "two"
                       "three"
                       "four";
    }

    &__title {
        font-weight: 400;
        font-size: size-rel(28px);
        line-height: size-rel(33px);
        font-family: $font-family-secondary;
        margin-bottom: 25px;
    }

    &__unit {
        margin-bottom: 25px;

        &--desigh {
            grid-area: one;
        }

        &--coding {
            grid-area: three;
        }
    }

    &__skills {
        color: $white-300;

        &--design {
            grid-area: two;
            margin-bottom: 110px;
        }

        &--coding {
            grid-area: four;
        }

        ul {
            margin: 0;
            padding: 0;
            list-style: none;
            display: grid;
            grid-row-gap: 10px;
            grid-column-gap: 10px;
            grid-template-columns: 1fr 1fr;

            li {

            }
        }
    }

    &__technology {
        position: relative;

        &:before {
            top: 0;
            right: 0;
            bottom: 0;
            content: '';
            z-index: 10;
            width: 2px;
            position: absolute;
            background: #0F0E0E;
        }

        .swiper-slide {

            &:before {
                top: 0;
                right: 0;
                bottom: 0;
                content: '';
                z-index: 10;
                width: 1px;
                position: absolute;
                background: $white-300;
            }
        }
    }

    &__item {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        &:first-child {

            &:before {
                left: 0;
                right: 0;
                bottom: 0;
                content: '';
                z-index: 10;
                height: 1px;
                position: absolute;
                background: $white-300;
            }
        }

        &--image {
            width: 80%;
            max-width: 140px;
        }
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--01 {
            top: 40px;
            left: 70px;
            height: 33px;
        }

        &--02 {
            top: 70px;
            left: 50px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $orange;
        }

        &--03 {
            top: 520px;
            right: 20px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $cyan;
        }

        &--04 {
            height: 24px;
            top: 550px;
            right: 50px;
            transform: rotate(15deg);
        }

        &--05 {
            display: none;
            height: 44px;
            top: 550px;
            left: -40px;
            transform: rotate(15deg);
        }

        &--06 {
            top: 740px;
            right: 90px;
            height: 80px;
            display: none;
        }
    }

    .swiper-pagination {
        padding-top: 40px;
    }

    @include media-breakpoint-up(sm) {

        &__item {
            height: 200px;
        }
    }

    @include media-breakpoint-up(lg) {

        &:after,
        &:before {
            width: 3004px;
        }

        &:after {
            top: 0;
            left: calc(50% - 1000px);
            background-position: 50% 0;
            background-size: auto auto;
        }

        &:before {
            left: calc(50% - 1500px);
            background-position: 50% 100%;
            background-size: auto auto;
        }

        &__wrap {
            padding-top: 150px;
            padding-bottom: 150px;
        }

        &__primary {
            margin-bottom: 150px;
            display: grid;
            grid-column-gap: 60px;
            grid-template-columns: 1fr 1fr;
            grid-template-areas: "one two"
                       "three four";
        }

        &__unit {
            margin-bottom: 20px;

            &--design {
                grid-area: one;
            }

            &--coding {
                grid-area: two;
            }
        }

        &__skills {

            &--design {
                margin-bottom: 0;
                grid-area: three;
            }

            &--coding {
                grid-area: four;
            }

            ul {
                grid-row-gap: 16px;
                grid-column-gap: 20px;
            }
        }

        &__title {
            font-size: size-rel(40px);
            line-height: 118.69%;
            margin-bottom: 35px;
        }

        &__item {
            height: 230px;
        }

        &__pattern {

            &--01 {
                display: none;
            }

            &--02 {
                display: none;
            }

            &--03 {
                top: 200px;
                right: 90px;
                left: auto;
                width: 40px;
                height: 40px;
                border: 7px solid $cyan;
            }

            &--05 {
                display: block;
            }

            &--06 {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__primary {
            grid-column-gap: 150px;
        }
    }

    @include media-breakpoint-up(xxl) {

        &:after,
        &:before {
            width: 3004px;
        }

        &:after {
            height: 100%;
            left: calc(50% - 1500px);
        }

        &:before {
            display: none;
            left: calc(50% - 1500px);
            background-position: 50% 100%;
        }

        &__wrap {
            height: 2090px;
            padding-top: 280px;
            padding-bottom: 200px;
        }

        &__title {
            margin-bottom: 40px;
            font-size: size-rel(65px);
        }

        &__primary {
            margin-bottom: 220px;
        }

        &__pattern {

            &--04 {
                display: none;
            }

            &--05 {
                left: -80px;
            }

            &--06 {
                top: 1000px;
                height: 139px;
            }
        }


        .swiper-pagination {
         //   padding-top: 80px;
        }
    }
}

.advantage {

    .container {
        z-index: 5;
        position: relative;
    }

    &__wrap {
        z-index: 20;
        padding: 50px 0;
        position: relative;

    }

    &__content {
        display: grid;
        grid-row-gap: 53px;
        grid-template-columns: 1fr;
    }

    &__item {

        &--icon {
            height: 46px;
            font-size: 0;
            line-height: 0;
            display: inline-block;
            margin-bottom: 15px;
        }

        &--title {
            font-weight: 400;
            font-size: size-rel(28px);
            line-height: size-rel(33px);
            font-family: $font-family-secondary;
            margin-bottom: 20px;
        }
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--01 {
            top: 40px;
            right: 50px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $cyan;
        }

        &--02 {
            top: 60px;
            right: 10px;
            height: 20px;
            transform: rotate(15deg);
        }

        &--03 {
            top: 500px;
            right: 10px;
            height: 33px;
            transform: rotate(60deg);
        }

        &--04 {
            top: 470px;
            right: 80px;
            height: 20px;
            transform: rotate(15deg);
        }
    }

    @include media-breakpoint-up(md) {

        &__pattern {

            &--03 {
                top: 360px;
            }

            &--04 {
                top: 410px;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            padding-top: 75px;
            padding-bottom: 100px;
        }

        &__content {
            grid-row-gap: 95px;
            grid-column-gap: 80px;
            grid-template-columns: 1fr 1fr;
        }

        &__item {

            &--icon {
                margin-bottom: 20px;
            }

            &--title {
                margin-bottom: 30px;
                font-size: size-rel(36px);
                line-height: 118.69%;
            }
        }

        &__pattern {

            &--01 {
                top: 10px;
                left: -50px;
                right: auto;
                width: 60px;
                height: 60px;
                border-width: 7px;
            }

            &--02 {
                height: 40px;
            }

            &--03 {
                right: 120px;
                top: 120px;
                height: 90px;
                transform: rotate(0deg);
            }

            &--04 {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__content {
            grid-column-gap: 150px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {

            &--title {
                max-width: 515px;
                font-size: size-rel(45px);
            }

            &--text {
                max-width: 515px;
            }
        }

        &__pattern {

            &--01 {
                display: none;
            }

            &--02 {
                top: 850px;
                left: -80px;
                right: auto;
            }

            &--03 {
                right: 0;
                top: 250px;
                height: 139px;
            }
        }
    }
}

.command {
    color: $white;
    overflow: hidden;
    position: relative;

    &:after,
    &:before {
        z-index: 5;
        content: '';
        height: 70%;
        width: 1710px;
        position: absolute;
        background-image: url("../images/command__bg_sm.svg");
        background-repeat: no-repeat;
    }

    &:after {
        top: -180px;
        left: calc(50% - 850px);
        background-position: 50% 0;
    }

    &:before {
        bottom: -100px;
        left: calc(50% - 760px);
        background-position: 50% 100%;
    }

    .container {
        z-index: 10;
        position: relative;
    }

    &__wrap {
        z-index: 20;
        position: relative;
    }

    &__main {
        padding: 120px 0 150px 0;
    }

    &__skills {
        margin: 0 0 75px 0;
        padding: 0;
        list-style: none;
        display: grid;
        grid-row-gap: 30px;
        grid-template-columns: 1fr;

        li {
            display: flex;
            align-items: flex-start;
        }

        &--icon {
            height: 30px;
            font-size: 0;
            line-height: 0;
            display: inline-block;
            flex-shrink: 0;
        }

        &--text {
            padding-top: 3px;
            padding-left: 12px;
        }
    }

    &__progress {
        margin: 0;
        padding: 0;
        list-style: none;
        display: grid;
        grid-row-gap: 4px;
        grid-template-columns: 1fr;
        font-weight: 400;
        font-size: size-rel(28px);
        line-height: size-rel(33px);
        font-family: $font-family-secondary;

        li {
            display: flex;
            align-items: flex-start;
        }

        &--value {
            width: 44px;
            flex-shrink: 0;
        }

        &--text {

        }
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--01 {
            top: 110px;
            right: 50px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $orange;
        }

        &--02 {
            top: 140px;
            right: 80px;
            height: 33px;
        }

        &--03 {
            top: 190px;
            right: 20px;
            height: 20px;
            transform: rotate(15deg);
        }

        &--04 {
            display: none;
            top: auto;
            bottom: 290px;
            right: 80px;
            height: 90px;
        }

        &--05 {
            top: 190px;
            right: 38px;
            height: 30px;
            transform: rotate(15deg);
        }
    }

    @include media-breakpoint-up(lg) {

        &:after,
        &:before {
            width: 3010px;
            background-image: url("../images/command__bg.svg");
        }

        &:after {
            top: 0;
            left: calc(50% - 900px);
        }

        &:before {
            bottom: 0;
            left: calc(50% - 1200px);
        }

        &__main {
            padding: 180px 0 150px 0;
        }

        &__skills {
            margin-bottom: 105px;
            grid-row-gap: 55px;
            grid-column-gap: 80px;
            grid-template-columns: 1fr 1fr;

            &--icon {
                height: 45px;
            }

            &--text {
                padding-top: 10px;
                padding-left: 20px;
            }
        }

        &__progress {
            grid-row-gap: 18px;
            font-size: size-rel(36px);
            line-height: 118.69%;

            &--value {
                width: 70px;
            }
        }

        &__pattern {

            &--01 {
                top: auto;
                bottom: 170px;
                width: 58px;
                height: 58px;
                border: 6px solid $cyan;
            }

            &--02 {
                display: none;
            }

            &--03 {
                display: none;
            }

            &--04 {
                display: block;
            }

            &--05 {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &:after {
            top: 0;
            left: calc(50% - 1200px);
        }

        &:before {
            left: calc(50% - 1400px);
        }

        &__skills {
            grid-column-gap: 140px;
            font-size: size-rel(24px);
            line-height: 140.2%;

            &--text {
                max-width: 400px;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &:after {
            top: 0;
            left: calc(50% - 1500px);
        }

        &:before {
            left: calc(50% - 1500px);
        }

        &__main {
            padding: 250px 0 290px 0;
        }

        &__skills {
            font-size: size-rel(30px);
            line-height: 140.2%;

            &--text {
                padding-top: 0;
            }
        }

        &__progress {
            grid-row-gap: 18px;
            font-size: size-rel(45px);
            line-height: 118.69%;

            &--value {
                width: 70px;
            }
        }

        &__pattern {

            &--01 {
                right: 500px;
            }

            &--04 {
                height: 139px;
                bottom: 400px;
            }

            &--05 {
                height: 38px;
                top: 230px;
            }
        }
    }

}

.cases {

    .container {
        position: relative;
    }

    &__wrap {
        z-index: 10;
        padding: 50px 0;
        position: relative;
    }

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 18px;

        &--link {
            font-weight: 400;
            color: $black;
            text-decoration: none;
            font-size: size-rel(28px);
            line-height: size-rel(28px);
            font-family: $font-family-secondary;
            border-bottom: 2px dashed $black;

            &:hover {
                color: $black;
                text-decoration: none;
            }
        }

        &--title {
            margin: 0;
            padding: 0;
            font-weight: 500;
            font-size: size-rel(54px);
            line-height: size-rel(54px);
            font-family: $font-family-secondary;
        }
    }

    &__text {
        margin-bottom: 40px;
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            padding-top: 90px;
            padding-bottom: 90px;
        }

        &__header {
            margin-bottom: 45px;

            &--title {
                font-size: size-rel(70px);
            }

            &--link {
                font-size: size-rel(36px);
                line-height: size-rel(36px);
            }
        }

        &__text {
            margin-bottom: 80px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {

            &--title {
                font-size: size-rel(80px);
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__header {

            &--title {
                font-size: size-rel(140px);
            }

            &--link {
                font-size: size-rel(65px);
                line-height: size-rel(65px);
            }
        }

        &__text {
            margin-bottom: 100px;
        }
    }
}

.case-item {
    position: relative;
    padding-top: 46px;
    margin-bottom: 40px;

    &__divider {
        top: 0;
        left: calc(50% - 26px);
        height: 8px;
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: inline-block;
    }

    &__title {
        margin-bottom: 10px;
        font-weight: 400;
        font-size: size-rel(28px);
        line-height: size-rel(33px);
    }

    &__image {
        margin-bottom: 25px;
    }

    &__description {
        margin-bottom: 20px;
    }

    &__info {
        display: flex;
        padding-right: 30px;
        max-width: 380px;
        justify-content: space-between;
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        color: $black-300;
        white-space: nowrap;

        li {
            display: flex;
            align-items: center;

            &:not(:last-child) {
                margin-bottom: 15px;
            }
        }
    }

    &__icon {
        height: 24px;
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }

    &__text {
        padding-left: 10px;
    }

    &__button {
        display: flex;
        justify-content: flex-end;
    }

    &__button {
        padding-top: 25px;
        display: flex;
        align-items: center;
        color: $black;
        text-decoration: underline;

        &:hover {
            color: $black;
            text-decoration: none;
        }

        i {
            height: 24px;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
        }

        span {
            margin-right: 10px;
            display: inline-block;
            white-space: nowrap;
        }

    }

    @include media-breakpoint-up(lg) {
        padding-top: 99px;
        margin-bottom: 80px;

        &__divider {
            height: 19px;
            left: calc(50% - 61px);
        }

        &__title {
            font-size: 48px;
            line-height: 118.69%;
        }

        &__image {
            margin-bottom: 40px;
        }

        &__content {
            display: flex;
        }

        &__description {
            order: 2;
            margin: 0;
        }

        &__info {
            order: 1;
            width: 360px;
            max-width: inherit;
            flex-shrink: 0;
            margin-right: 60px;
        }

        &__link {
            position: relative;
        }

        &__button {
            margin-top: -60px;
            position: relative;
        }
    }

    @include media-breakpoint-up(xl) {

        &__info {
            width: 450px;
        }

        &__list {

            li {

                &:not(:last-child) {
                    margin-bottom: 30px;
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        padding-top: 119px;
        margin-bottom: 100px;

        &__title {
            font-size: 65px;
            line-height: 118.69%;
        }

        &__info {
            width: 600px;
            padding-right: 100px;
        }
    }
}

.comments {
    padding: 100px 0 90px 0;
    color: $white;
    position: relative;

    &:after,
    &:before {
        z-index: 5;
        content: '';
        width: auto;
        height: 70%;
        left: -30px;
        right: -30px;
        position: absolute;
        background-image: url("../images/comments__bg.svg");
        background-repeat: no-repeat;
    }

    &:after {
        top: 0;
        background-position: 50% 0;
        background-size: 100% auto;
    }

    &:before {
        bottom: 0;
        background-position: 50% 100%;
        background-size: 100% auto;
    }

    &__wrap {
        z-index: 20;
        position: relative;
    }

    &__main {

    }

    &__slider {

        &--mobile {
            display: block;
        }

        &--desktop {
            display: none;
        }
    }

    @include media-breakpoint-up(lg) {
        padding: 140px 0 140px 0;

        &:after,
        &:before {
            width: 1400px;
        }

        &:after {
            left: calc(50% - 700px);
        }

        &:before {
            left: calc(50% - 700px);
        }
    }

    @include media-breakpoint-up(xl) {
        padding:  180px 0 180px 0;

        &:after,
        &:before {
            width: auto;
        }

        &:after {
            left: -50px;
            right: -20px;
        }

        &:before {
            left: -50px;
            right: -20px;
        }

        &__slider {

            &--mobile {
                display: none;
            }

            &--desktop {
                display: block;
            }
        }

        &__group {
            display: grid;
            grid-row-gap: 30px;
            grid-column-gap: 150px;
            grid-template-columns: 1fr 1fr;
        }

        .swiper-pagination {
            padding-top: 100px;
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.comment {
    position: relative;

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 12px;
    }

    &__author {
        display: flex;
        align-items: center;

        &--photo {
            width: 28px;
            flex-shrink: 0;
            font-size: 0;
            line-height: 0;
        }

        &--name {
            padding-left: 10px;
            white-space: nowrap;
        }
    }

    &__client {
        font-size: 0;
        line-height: 0;
        height: 20px;
        display: inline-block;
    }

    &__text {
        font-size: size-rel(14px);
        line-height: size-rel(21px);
    }

    @include media-breakpoint-up(lg) {

        &__header {
            margin-bottom: 30px;
        }

        &__author {

            &--photo {
                width: 50px;
            }

            &--name {
                padding-left: 25px;
                font-size: size-rel(22px);
            }
        }

        &__text {
            font-size: size-rel(18px);
            line-height: 140.2%;
        }

        .swiper-pagination {
            padding-top: 40px;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            padding-bottom: 20px;
            margin-bottom: 25px;
            border-bottom: 1px solid rgba(255, 255, 255, 0.15);
        }

        &__author {

            &--name {
                font-size: size-rel(30px);
            }
        }

        &__text {
            font-size: size-rel(20px);
            line-height: 140.2%;
        }

        &__pattern {
            display: none;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__text {
            font-size: size-rel(30px);
        }

        &__client {
            height: 36px;
        }
    }
}

.faq {

    .container {
        position: relative;
    }

    &__wrap {
        z-index: 50;
        padding: 100px 0;
        position: relative;
    }

    &-item {

        &:not(:last-child) {
            margin-bottom: 60px;
        }

        &__media {
            display: none;
        }

        &__title {
            font-weight: 400;
            margin-bottom: 18px;
            font-size: size-rel(28px);
            line-height: size-rel(33px);
            font-family: $font-family-secondary;
        }
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--01 {
            top: 60px;
            right: 30px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $cyan;
        }

        &--02 {
            top: 50px;
            right: 120px;
            height: 33px;
        }

        &--03 {
            top: 160px;
            right: 20px;
            height: 20px;
            transform: rotate(15deg);
        }

        &--04 {
            bottom: 50px;
            left: 30px;
            width: 20px;
            height: 20px;
            border-radius: 50%;
            border: 3px solid $cyan;
        }

        &--05 {
            bottom: 30px;
            left: 80px;
            height: 20px;
            transform: rotate(15deg);
        }
    }

    @include media-breakpoint-up(lg) {

        &-item {
            display: flex;
            align-items: center;

            &:not(:last-child) {
                margin-bottom: 80px;
            }

            &:nth-child(even) {
                flex-direction: row-reverse;
            }

            &__media {
                font-size: 0;
                line-height: 0;
                width: 340px;
                display: flex;
                flex-shrink: 0;
                align-items: center;
                justify-content: center;
                text-align: center;

                &--image {
                    display: inline-block;
                }
            }

            &__title {
                font-size: size-rel(40px);
                line-height: 118.69%;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &-item {

            &:not(:last-child) {
                margin-bottom: 120px;
            }

            &__media {
                width: 400px;
                padding-left: 50px;
            }

            &__title {
                font-size: size-rel(44px);
                line-height: 118.69%;
            }

            &:nth-child(even) {

                .faq-item__media {
                    padding-left: 0;
                    padding-right: 50px;
                }
            }
        }

        &__pattern {
            display: none;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__wrap {
            padding-top: 200px;
            padding-bottom: 120px;
        }

        &-item {

            &--media {
                padding-left: 80px;
            }

            &:not(:last-child) {
                margin-bottom: 180px;
            }

            &:nth-child(even) {

                .faq-item__media {
                    padding-left: 0;
                    padding-right: 80px;
                }
            }

            &__media {
                width: 600px;
            }

            &__title {
                font-size: size-rel(65px);
            }
        }
    }
}

.stages {
    color: $white;
    position: relative;

    &:after,
    &:before {
        z-index: 5;
        content: '';
        width: 100%;
        height: 70%;
        position: absolute;
        background-image: url("../images/stage__bg.svg");
        background-repeat: no-repeat;
    }

    &:after {
        top: 0;
        left: 0;
        background-position: 50% 0;
        background-size: 100% auto;
    }

    &:before {
        bottom: 0;
        left: 0;
        background-position: 50% 100%;
        background-size: 100% auto;
    }

    &__wrap {
        z-index: 20;
        position: relative;

        &:before {
            left: 0;
            right: 0;
            top: 300px;
            bottom: 300px;
            content: '';
            z-index: 1;
            background: #0F0E0E;
            position: absolute;
        }
    }

    .container {
        z-index: 50;
        position: relative;
    }

    &__main {
        padding: 90px 0;
        position: relative;
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        counter-reset: num;

        > li {
            position: relative;
            padding-left: 40px;

            &:not(:last-child) {
                margin-bottom: 60px;
            }

            &:before {
                top: 0;
                left: 0;
                width: 30px;
                height: 30px;
                padding: 5px 0;
                font-size: 18px;
                line-height: 18px;
                text-align: center;
                border-radius: 50%;
                font-weight: 400;
                border: 1px solid $white;
                position: absolute;
                content: counter(num);
                counter-increment: num;
                font-family: $font-family-primary;
            }
        }

        &--title {
            font-weight: 400;
            font-size: size-rel(28px);
            line-height: 118.69%;

            font-family: $font-family-secondary;
            margin-bottom: 18px;
        }

        &--text {

        }
    }

    &__pattern {
        z-index: 1;
        position: absolute;

        &--01 {
            top: 50px;
            right: 60px;
            height: 33px;
            transform: rotate(-15deg);
        }

        &--02 {
            height: 20px;
            z-index: 300;
            top: 110px;
            right: 30px;
            transform: rotate(-15deg);
        }

        &--03 {
            top: 90px;
            right: 250px;
            width: 61px;
            height: 61px;
            display: none;
            border-radius: 50%;
            border: 7px solid $orange;
        }
    }

    @include media-breakpoint-up(lg) {

        &__main {
            padding-top: 120px;
            padding-bottom: 140px;
        }

        &__list {
            max-width: 900px;

            > li {
                padding-left: 60px;

                &:not(:last-child) {
                    margin-bottom: 80px;
                }

                &:before {
                    top: 0;
                    left: 0;
                    width: 42px;
                    height: 42px;
                    padding: 8px 0;
                    font-size: 24px;
                    line-height: 24px;
                }
            }

            &--title {
                font-size: size-rel(36px);
                line-height: 118.69%;
            }
        }

        &__pattern {

            &--01 {
                top: 230px;
                height: 90px;
                transform: rotate(-90deg);
            }

            &--02 {
                top: 500px;
                height: 38px;
            }

            &--03 {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            padding-top: 200px;
            padding-bottom: 200px;
        }
    }

    @include media-breakpoint-up(xxl) {

        &__main {
            padding-bottom: 250px;
        }

        &__list {
            max-width: 1120px;

            > li {
                padding-left: 90px;

                &:not(:last-child) {
                    margin-bottom: 100px;
                }

                &:before {
                    top: 5px;
                    left: 0;
                    width: 64px;
                    height: 64px;
                    padding: 13px 0;
                    font-size: 36px;
                    line-height: 36px;
                }
            }

            &--title {
                margin-bottom: 35px;
                font-size: size-rel(65px);
            }
        }

        &__pattern {

            &--01 {
                top: 420px;
                height: 139px;
                transform: rotate(-110deg);
            }

            &--02 {
                right: 200px;
                top: 1100px;
                height: 38px;
            }

            &--03 {
                top: 250px;
            }
        }
    }
}

.price {
    padding: 55px 0 20px 0;

    @include media-breakpoint-up(md) {
        padding: 110px 0 90px 0;
    }

    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {
        padding-top: 170px;
        padding-bottom: 120px;
    }
}

.cases-page {

    .case-item {

        &:first-child {
            padding-top: 0 !important;

            .case-item__divider {
                display: none !important;
            }
        }
    }
}

.case-elem {
    max-width: 1061px;
    margin: 0 auto;
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
